Unit tals1r_p;
interface
uses
SysUtils, Math, { Delphi }
Lstruct, Lfunc, UtRes_p, ALS1R_p;

function tals1r: String;

implementation

function tals1r: String;
var
I :Integer;
U :Array [0..2] of Real;
H :Array [0..49] of Real;
W :Array [0..14] of Real;
const
A :Array [0..8] of Real = ( 1.0,2.0,3.0,1.0,2.0,3.0,1.0,1.0,2.0 );
F :Array [0..2] of Real = ( 2.0,4.0,6.0 );
M :Integer = 3;
N :Integer = 3;
EPS :Real = 0.0001;
begin
Result := '';  {   }
ALS1R(A,U,F,M,N,EPS,H,W,1);
Result := Result + Format('%s',['                 ALS1R']) + #$0D#$0A; 
Result := Result + Format('%s',['  :' + #$0D#$0A]) + #$0D#$0A; 
Result := Result + Format('%s',['    X +   Y  +   Z =  2' + #$0D#$0A +
 '  2*X + 2*Y  +   Z =  4' + #$0D#$0A +
 '  3*X + 3*Y  + 2*Z =  6' + #$0D#$0A]) + #$0D#$0A; 
Result := Result + Format('%s',['     EPS: ']);
Result := Result + Format('%11.3f ',[EPS]) + #$0D#$0A;
Result := Result + #$0D#$0A;
for I:=1 to N do
 begin
  Result := Result + Format(' : %11.3f ',[U[I-1]]) + #$0D#$0A;
 end;
Result := Result + #$0D#$0A;
Result := Result + #$0D#$0A;
for I:=1 to 7 do
 begin
  Result := Result + Format('       H: %11.3f ',[H[I-1]]) + #$0D#$0A;
 end;
Result := Result + #$0D#$0A;
UtRes('tals1r',Result);  {     tals1r.res }
exit;
end;

end.
